curl --request GET \
--url https://api.coingecko.com/api/v3/nfts/{id} \
--header 'x-cg-demo-api-key: <api-key>'{
"id": "pudgy-penguins",
"web_slug": "pudgy-penguins",
"contract_address": "0xBd3531dA5CF5857e7CfAA92426877b022e612cf8",
"asset_platform_id": "ethereum",
"name": "Pudgy Penguins",
"symbol": "PPG",
"image": {
"small": "https://coin-images.coingecko.com/nft_contracts/images/38/small/pudgy.jpg?1730778323",
"small_2x": "https://coin-images.coingecko.com/nft_contracts/images/38/small_2x/pudgy.jpg?1730778323"
},
"banner_image": "https://coin-images.coingecko.com/nft_contracts/images/38/pudgy-penguins-banner.jpg?1730778702",
"description": "<h3>What Is the Pudgy Penguins NFT Collection?</h3>\n\n<p>Pudgy Penguins is a collection of 8,888 unique NFTs featuring cute cartoon penguins, which are generated from a collection of 150 different hand-drawn traits.",
"native_currency": "ethereum",
"native_currency_symbol": "ETH",
"market_cap_rank": 3,
"floor_price": {
"native_currency": 4.67,
"usd": 9713.91
},
"market_cap": {
"native_currency": 41507,
"usd": 86337207
},
"volume_24h": {
"native_currency": 28.01,
"usd": 58262
},
"floor_price_in_usd_24h_percentage_change": -1.78233,
"floor_price_24h_percentage_change": {
"usd": -1.782332967792004,
"native_currency": -0.6361858762952403
},
"market_cap_24h_percentage_change": {
"usd": -1.782332967792065,
"native_currency": -0.6361858762952404
},
"volume_24h_percentage_change": {
"usd": -41.588610680147845,
"native_currency": -40.90698133583369
},
"number_of_unique_addresses": 5174,
"number_of_unique_addresses_24h_percentage_change": -0.01932,
"volume_in_usd_24h_percentage_change": -41.58861,
"total_supply": 8888,
"one_day_sales": 6,
"one_day_sales_24h_percentage_change": -40,
"one_day_average_sale_price": 4.668316666666667,
"one_day_average_sale_price_24h_percentage_change": -1.511635559722812,
"links": {
"homepage": "https://www.pudgypenguins.com/",
"twitter": "https://twitter.com/pudgypenguins",
"discord": "https://discord.gg/pudgypenguins"
},
"floor_price_7d_percentage_change": {
"usd": -2.6085983246414655,
"native_currency": -1.1974800093036855
},
"floor_price_14d_percentage_change": {
"usd": -24.816051386825123,
"native_currency": -16.157991023339317
},
"floor_price_30d_percentage_change": {
"usd": -20.72768500482924,
"native_currency": -12.366254928188072
},
"floor_price_60d_percentage_change": {
"usd": 15.176366939745344,
"native_currency": 13.07508549033547
},
"floor_price_1y_percentage_change": {
"usd": -60.37112564100154,
"native_currency": -51.85567113402062
},
"explorers": [
{
"name": "Etherscan",
"link": "https://etherscan.io/token/0xBd3531dA5CF5857e7CfAA92426877b022e612cf8"
},
{
"name": "Ethplorer",
"link": "https://ethplorer.io/address/0xBd3531dA5CF5857e7CfAA92426877b022e612cf8"
}
],
"user_favorites_count": 10135,
"ath": {
"native_currency": 36.33,
"usd": 145728
},
"ath_change_percentage": {
"native_currency": -87.1456099642169,
"usd": -93.3388047739623
},
"ath_date": {
"native_currency": "2024-12-17T07:50:05.897Z",
"usd": "2024-12-17T08:35:07.390Z"
}
}NFTs Collection Data by ID
To query all the NFT data (name, floor price, 24hr volume, …) based on the NFT collection ID
curl --request GET \
--url https://api.coingecko.com/api/v3/nfts/{id} \
--header 'x-cg-demo-api-key: <api-key>'{
"id": "pudgy-penguins",
"web_slug": "pudgy-penguins",
"contract_address": "0xBd3531dA5CF5857e7CfAA92426877b022e612cf8",
"asset_platform_id": "ethereum",
"name": "Pudgy Penguins",
"symbol": "PPG",
"image": {
"small": "https://coin-images.coingecko.com/nft_contracts/images/38/small/pudgy.jpg?1730778323",
"small_2x": "https://coin-images.coingecko.com/nft_contracts/images/38/small_2x/pudgy.jpg?1730778323"
},
"banner_image": "https://coin-images.coingecko.com/nft_contracts/images/38/pudgy-penguins-banner.jpg?1730778702",
"description": "<h3>What Is the Pudgy Penguins NFT Collection?</h3>\n\n<p>Pudgy Penguins is a collection of 8,888 unique NFTs featuring cute cartoon penguins, which are generated from a collection of 150 different hand-drawn traits.",
"native_currency": "ethereum",
"native_currency_symbol": "ETH",
"market_cap_rank": 3,
"floor_price": {
"native_currency": 4.67,
"usd": 9713.91
},
"market_cap": {
"native_currency": 41507,
"usd": 86337207
},
"volume_24h": {
"native_currency": 28.01,
"usd": 58262
},
"floor_price_in_usd_24h_percentage_change": -1.78233,
"floor_price_24h_percentage_change": {
"usd": -1.782332967792004,
"native_currency": -0.6361858762952403
},
"market_cap_24h_percentage_change": {
"usd": -1.782332967792065,
"native_currency": -0.6361858762952404
},
"volume_24h_percentage_change": {
"usd": -41.588610680147845,
"native_currency": -40.90698133583369
},
"number_of_unique_addresses": 5174,
"number_of_unique_addresses_24h_percentage_change": -0.01932,
"volume_in_usd_24h_percentage_change": -41.58861,
"total_supply": 8888,
"one_day_sales": 6,
"one_day_sales_24h_percentage_change": -40,
"one_day_average_sale_price": 4.668316666666667,
"one_day_average_sale_price_24h_percentage_change": -1.511635559722812,
"links": {
"homepage": "https://www.pudgypenguins.com/",
"twitter": "https://twitter.com/pudgypenguins",
"discord": "https://discord.gg/pudgypenguins"
},
"floor_price_7d_percentage_change": {
"usd": -2.6085983246414655,
"native_currency": -1.1974800093036855
},
"floor_price_14d_percentage_change": {
"usd": -24.816051386825123,
"native_currency": -16.157991023339317
},
"floor_price_30d_percentage_change": {
"usd": -20.72768500482924,
"native_currency": -12.366254928188072
},
"floor_price_60d_percentage_change": {
"usd": 15.176366939745344,
"native_currency": 13.07508549033547
},
"floor_price_1y_percentage_change": {
"usd": -60.37112564100154,
"native_currency": -51.85567113402062
},
"explorers": [
{
"name": "Etherscan",
"link": "https://etherscan.io/token/0xBd3531dA5CF5857e7CfAA92426877b022e612cf8"
},
{
"name": "Ethplorer",
"link": "https://ethplorer.io/address/0xBd3531dA5CF5857e7CfAA92426877b022e612cf8"
}
],
"user_favorites_count": 10135,
"ath": {
"native_currency": 36.33,
"usd": 145728
},
"ath_change_percentage": {
"native_currency": -87.1456099642169,
"usd": -93.3388047739623
},
"ath_date": {
"native_currency": "2024-12-17T07:50:05.897Z",
"usd": "2024-12-17T08:35:07.390Z"
}
}SDK Examples
const response = await client.nfts.getID('pudgy-penguins');
console.log(JSON.stringify(response, null, 2));
response = client.nfts.get_id("pudgy-penguins")
print(response.model_dump_json(indent=2))
Authorizations
Learn how to set up your API key
Path Parameters
NFT collection ID.
*refers to /nfts/list.
Response
NFT collection data
NFT collection ID
NFT collection web slug
NFT collection contract address
NFT collection asset platform ID
NFT collection name
NFT collection symbol
NFT collection banner image URL
NFT collection description
NFT collection native currency
NFT collection native currency symbol
NFT collection market cap rank
NFT collection floor price in USD 24 hours percentage change
Number of unique addresses owning the NFTs
Number of unique addresses 24 hours percentage change
NFT collection volume in USD 24 hours percentage change
NFT collection total supply
NFT collection one day sales
NFT collection one day sales 24 hours percentage change
NFT collection one day average sale price
NFT collection one day average sale price 24 hours percentage change
NFT collection user favorites count
Was this page helpful?

